# Uses of Class
org.apache.sysds.utils.Statistics.LineageNGramExtension

Packages that use Statistics.LineageNGramExtension
Package
Description
org.apache.sysds.runtime.lineage
org.apache.sysds.utils

## Uses of Statistics.LineageNGramExtension in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type Statistics.LineageNGramExtension
Modifier and Type
Method
Description
`static String`
LineageItemUtils.`explainLineageAsInstruction(LineageItem li, Statistics.LineageNGramExtension ext)`
`static String`
LineageItemUtils.`explainLineageType(LineageItem li, Statistics.LineageNGramExtension ext)`
`static String`
LineageItemUtils.`explainLineageWithTypes(LineageItem li, Statistics.LineageNGramExtension ext)`

## Uses of Statistics.LineageNGramExtension in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return Statistics.LineageNGramExtension
Modifier and Type
Method
Description
`static Statistics.LineageNGramExtension`
Statistics.`getExtendedLineage(LineageItem li)`
Methods in org.apache.sysds.utils with parameters of type Statistics.LineageNGramExtension
Modifier and Type
Method
Description
`static void`
Statistics.`extendLineageItem(LineageItem li, Statistics.LineageNGramExtension ext)`